summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKurt Kanzenbach <kurt@kmk-computers.de>2020-06-20 10:20:29 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-06-20 13:14:43 +0200
commitb876c16d6d13e6082cb9677fa7ea32c0c2fb2641 (patch)
tree9c0fa800e54d3e305caa49c99afc6e8fce06d832 /sys-kernel/rt-sources
parentsys-kernel/rt-sources: Add rt sources v4.14.184-rt84 (diff)
downloadgentoo-b876c16d6d13e6082cb9677fa7ea32c0c2fb2641.tar.gz
gentoo-b876c16d6d13e6082cb9677fa7ea32c0c2fb2641.tar.bz2
gentoo-b876c16d6d13e6082cb9677fa7ea32c0c2fb2641.zip
sys-kernel/rt-sources: Add rt sources v4.19.127-rt54
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Kurt Kanzenbach <kurt@kmk-computers.de> Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'sys-kernel/rt-sources')
-rw-r--r--sys-kernel/rt-sources/Manifest2
-rw-r--r--sys-kernel/rt-sources/rt-sources-4.19.127_p54.ebuild54
2 files changed, 56 insertions, 0 deletions
diff --git a/sys-kernel/rt-sources/Manifest b/sys-kernel/rt-sources/Manifest
index 2205361f27d..d6dda06716e 100644
--- a/sys-kernel/rt-sources/Manifest
+++ b/sys-kernel/rt-sources/Manifest
@@ -22,6 +22,8 @@ DIST patch-4.14.184-rt84.patch.xz 239252 BLAKE2B c16ba6d65256df11db60a4fca7f4d1e
DIST patch-4.14.184.xz 3677908 BLAKE2B 4565b2bcb190b94535e2fa2edfd09f1565e0805d145ea21359a10dc4cfc0f1d205f1bf46fde4c591ea3122112e228ec53f41363e5c15b2432207b31be2ae6dec SHA512 7798c72c22d72fdf6819452fd2d0cff098f34870235efdf88cd9b6e64227f34120bbe98212e068ec2f639b6c33c0a07a68d389a09915eadd48f2e02d969861e0
DIST patch-4.19.124-rt53.patch.xz 167116 BLAKE2B cae0de6ce1f5737c4cd732974718aa6e1cc3693a41a5422887f30d33e65e0d4d4420550200b07f447e11de86bfb8f9b515864ef6b03ab7f60f49037921b58dd5 SHA512 35a69ca535a33cd8846a90943a27596efcc5a343527ff1b62cb74a6bffaba6886eb0fa30170a0163eeebe2934d78d9b65d2692433d0c9c5938777f40545771e5
DIST patch-4.19.124.xz 3067304 BLAKE2B 55767a7c8c2e98e24245c28f759f2cf91e40a845826599f185c83c7cbfa3b58f62deaa7b34b3fdc2ddaadf6314db4c36e7e4af4ee39e720aa1b00cc974016254 SHA512 b28b5bdad2073cf2923d6b54dc2acbae8fe4740677fd758963c8005068711edd0dce37d3e88eb6402111949d97cc0d778c4f5389ae5a9c21462a48c2626039ba
+DIST patch-4.19.127-rt54.patch.xz 167084 BLAKE2B 96aa3f49bef2c45e0dd215ace34fac396da6d96bb82f7cf7cfd6253950a46a60657f119fd85fcc00887cacf9bfb36b4aa8db1b2c709dd4a7bde65f680a857c20 SHA512 3d4073417a2d9c67be27b45804c25451239015da5ead86f746f527b990efc3e06f3a653e92c4971cd353292d83623d47989b58d2c18fff76e03c18f8d057fb7f
+DIST patch-4.19.127.xz 3099692 BLAKE2B 3e619371c980ca8a053260921b4b9cd27b78e920ee83fc0842af4f84b73ef4870c2c9d3375dc79d1ee3fef12ab018754f197c21c7bd9db1959984c10253d6db3 SHA512 4219b0d9660f1c0d158974f4d5551ee535525e1247fd6e2777f4ae9d0c5115672dbb5a38a4be395ea551574f9c2c096673210229b31e81446b762ff46f8bdb1e
DIST patch-4.4.220-rt197.patch.xz 195660 BLAKE2B 8389f2f9a44dc0958b3c539e43206c0516bec15054f3454680ca2bbb74f87318874f8b62386f5d8f5a4c772bbda00e007918fc42132588790297c1a289475bf4 SHA512 2cf124142290330cb2d533fe23ce5d19c164ce01d8ccd2d62900f58229096aa059c66223163930f1522b5ed2bf6aa197b27f2877dd4dffc152369b9755906891
DIST patch-4.4.220.xz 3087092 BLAKE2B b54eb20b694f044be27a3b6f49597c24d85c917709124c0407118342802c209e4a72ac9181df4f9bb0ff558a465deaf1ec5f4d646a9c6fb6545c2201488f7638 SHA512 63ae7556b3d4c1eebfd1f8f316493ffb4d0dd600208877336830e0b88d513306c34d5047cd302810183b10742a311e340c24cd80af9f60deedba505afc4d62ea
DIST patch-4.9.224-rt144.patch.xz 175820 BLAKE2B 66e601ebfa393644671c181c8131bdb09f48ce20c50b9ca8026661cfce263e325cefff6d3cc3bc9aa35bfeb0ba0a354f2e7fe2acc6e3dced3434f387981ca1d7 SHA512 104397378ede87f1c3cee0a08a4d9e75e3571c0b7d5872f602d10e9c47d9ff943e914e411980abcef585bf762b842ee4872e7d0629c2a5e473b6dcce453dbafe
diff --git a/sys-kernel/rt-sources/rt-sources-4.19.127_p54.ebuild b/sys-kernel/rt-sources/rt-sources-4.19.127_p54.ebuild
new file mode 100644
index 00000000000..8cec2aef7c8
--- /dev/null
+++ b/sys-kernel/rt-sources/rt-sources-4.19.127_p54.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+ETYPE="sources"
+KEYWORDS="~amd64 ~arm64"
+
+HOMEPAGE="https://www.kernel.org/pub/linux/kernel/projects/rt/"
+
+inherit eapi7-ver
+
+CKV="$(ver_cut 1-3)"
+K_SECURITY_UNSUPPORTED="1"
+K_DEBLOB_AVAILABLE="1"
+RT_PATCHSET="${PV/*_p}"
+
+inherit kernel-2
+detect_version
+
+K_BRANCH_ID="${KV_MAJOR}.${KV_MINOR}"
+RT_FILE="patch-${K_BRANCH_ID}.${KV_PATCH}-rt${RT_PATCHSET}.patch.xz"
+RT_URI="https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/${RT_FILE} \
+ https://www.kernel.org/pub/linux/kernel/projects/rt/${K_BRANCH_ID}/older/${RT_FILE}"
+
+DESCRIPTION="Full Linux ${K_BRANCH_ID} kernel sources with the CONFIG_PREEMPT_RT patch"
+SRC_URI="${KERNEL_URI} ${RT_URI}"
+
+KV_FULL="${PVR/_p/-rt}"
+S="${WORKDIR}/linux-${KV_FULL}"
+
+UNIPATCH_LIST="${DISTDIR}/${RT_FILE}"
+UNIPATCH_STRICTORDER="yes"
+
+src_prepare() {
+ default
+
+ # 627796
+ sed \
+ "s/default PREEMPT_NONE/default PREEMPT_RT_FULL/g" \
+ -i "${S}/kernel/Kconfig.preempt" || die "sed failed"
+}
+
+pkg_postinst() {
+ kernel-2_pkg_postinst
+ ewarn
+ ewarn "${PN} are *not* supported by the Gentoo Kernel Project in any way."
+ ewarn "If you need support, please contact the RT project developers directly."
+ ewarn "Do *not* open bugs in Gentoo's bugzilla unless you have issues with"
+ ewarn "the ebuilds."
+ ewarn
+}
+
+K_EXTRAEINFO="For more info on rt-sources and details on how to report problems, see: \
+${HOMEPAGE}."